Subject: Re: [Sigtran] Interface Identifier in ASPTM message in M2UA

From: Rajesh Makhija <[email-masked]>
Date: Thu, 1 Sep 2011 14:20:47 +0530

Hello

It would be nice to reach a consensus on this matter. Requesting Brian and other forum member to share their valuable insights.....on last input from Supreet

------------
Hi Brain,

Thank you for giving insights on this matter.  It is now very clear that the length field should be equal to 8 for MAUP messages.

I would request you to throw some light for messages other than MAUP (such as ASPAC).

RFC 3331, section 3.2 states that:
-----
âThe Tag value for the Integer-based Interface Identifier is 0x1.  The  length is always set to a value of 8.â

 âThe M2UA specific message header will   immediately follow the common message header, but will âonlyâ be used   with âMAUPâ messages.â
----

As per RFC 3331, "The M2UA specific message header will immediately follow the common message header, but will only be used with MAUP messages".

For ASPTM (such as ASPAC) messages it is not very clear on what should be the value of length field.

As per RFC section 3.3.2.7, from the ASPAC message format it appears that multiple interface identifiers values can be used along with a single tag (0x1)â.

   0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |           Tag (0xb)           |            Length = 8         |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                     Traffic Mode Type                         |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |     Tag (0x1=integer)         |            Length             |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   /                                                               \
   \                     Interface Identifiers*                    /
   /                                                               \
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

It would be great if you could confirm if length can be greater than 8 for ASPAC messages or it has to be always set to 8 for ASPAC as well.

Thank you in advance for your views on this matter.

Thanks and Regards
Supreet Jain
----------
________________________________
From: Rajesh Makhija
Sent: Monday, August 29, 2011 4:59 PM
To: [email-masked]'; [email-masked]'
Cc: [email-masked]'; [email-masked]'
Subject: Re: [Sigtran] Interface Identifier in ASPTM message in M2UA

Hi Aditi

Thanks for your inputs.

With reference to your last mail:

"As per the structure of ASPAC defined under the section 3.3.2.7, the Interface Identifier (Tag 0x1), the value can be a set of "Interface Identifiers". The length can be other than 8."

However from one of the earlier discussion threads on Sigtran forum....:

www.ietf.org/mail-archive/web/sigtran/current/msg08554.html<http://www.ietf.org/mail-archive/web/sigtran/current/msg08554.html>

It appears that if multiple interface identifiers are to be sent they must be sent in the following manner....snippet from earlier discussions follows:

"If you want to list two Integer Interface Identifiers it is:

            Tag (0x1), Length (8)
            Integer interface id 1
            Tag (0x1), Length (8)
            Integer interface id 2

Therefore, from the earlier discussion thread, it appears that the length field can only be 8.  This is slightly different from what you mentioned. If possible, I would request Brian to throw more light on this matter.

It would be great if we can reach a consensus on this matter on this forum (.i.e. length can only be 8 or not more than 8 is also possible when tag is (0x1), as this can possibly lead to interoperability issues.

Thank you in advance for your views on this matter.

Thanks and Regards

Rajesh

===============================================================================
Please refer to http://www.aricent.com/legal/email_disclaimer.html
for important disclosures regarding this electronic communication.
===============================================================================

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 1 Sep 2011 03:31:17 -0600

Rajesh,

I think the diagram on Page 36/RFC 3331 is quite self-explanatory.  There
is really only one way to interpret it.

--brian

Rajesh Makhija wrote:                       (Thu, 01 Sep 2011 14:20:47)
>    Hello
> 
> 
>    It would be nice to reach a consensus on this matter. Requesting Brian
>    and other forum member to share their valuable insights.....on last
>    input from Supreet
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Thu, 1 Sep 2011 03:31:17 -0600

Rajesh,

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: Sandeep Singh <[email-masked]>
Date: Fri, 2 Sep 2011 17:48:41 +0530

Hi everybody,

Thanks for your valuable inputs.

It is very clear from *Page 36 of RFC 3331* that the length of Interface
Identifier Set having Tag (0x1) can have Length more than 8.

According to the following figure, the length should be *(n*4 + 4)* if there
are n Interface Identifiers:

Please let me know if there is anything wrong in my understanding.

Best Regards,

Sandeep Singh

On Thu, Sep 1, 2011 at 3:01 PM, Brian F. G. Bidulock
<[email-masked]>wrote:

> _______________________________________________
> Sigtran mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sigtran
>

---

From: Sandeep Singh <[email-masked]>
Date: Fri, 2 Sep 2011 17:48:41 +0530

Hi everybody,

Best Regards,

Sandeep Singh

---

From: Sandeep Singh <[email-masked]>
Date: Fri, 2 Sep 2011 17:55:06 +0530

Hi everybody,

    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5  6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |           Tag (0xb)                    |            Length = 8
     |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |                               Traffic Mode Type
       |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
   |     Tag (0x1=integer)               |            Length
   |
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

/
\
   \                                   Interface Identifiers*
        /
   /
               \
   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Best Regards,

Sandeep Singh

---

From: Sandeep Singh <[email-masked]>
Date: Fri, 2 Sep 2011 17:55:06 +0530

Hi everybody,

/
\
   \                                   Interface Identifiers*
        /
   /
               \

Best Regards,

Sandeep Singh

---

From: "David Laight" <[email-masked]>
Date: Mon, 5 Sep 2011 10:22:37 +0100

My thoughts on this are that there is really no point in trying to put
requests
for multiple interfaces interfaces into a single message.
 
All it does is make the code more complex and might lead to interworking
issues - at best it will be exercising little-used code paths.
 
It might appear to be useful in order to reduce the number of message
sent,
but the number is small compared to what is likely to happen when
the links are in use.
In theory the multiple requests can be transferred in a single ethernet
packet - which will get most of the benefits.
 
And, if any of the Interface identifiers are invalid, any error
reporting
is somewhat easier...
 
    David

	From: [email-masked] [mailto:[email-masked]]
On Behalf Of Sandeep Singh
	Sent: 02 September 2011 13:25
	To: [email-masked]; Rajesh Makhija; [email-masked];
[email-masked]; [email-masked]
	Subject: Re: [Sigtran] Interface Identifier in ASPTM message in
M2UA

	Hi everybody,   

	It is very clear from Page 36 of RFC 3331 that the length of
Interface Identifier Set having Tag (0x1) can have Length more than 8. 
	
	According to the following figure, the length should be (n*4 +
4) if there are n Interface Identifiers:
	
	    0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5  6 7 8 9 0 1 2 3 4 5 6 7 8 9
0 1
	   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
	   |           Tag (0xb)                    |            Length
= 8               |
	   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
	   |                               Traffic Mode Type
|
	   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
	   |     Tag (0x1=integer)               |            Length
|
	   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
	   /
\
	   \                                   Interface Identifiers*
/
	   /
\
	   +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
	
	Please let me know if there is anything wrong in my
understanding. 

	Best Regards,
	
	Sandeep Singh

---

From: "David Laight" <[email-masked]>
Date: Mon, 5 Sep 2011 10:22:37 +0100

David

	Hi everybody,   

	

	Best Regards,
	
	Sandeep Singh

---

From: <[email-masked]>
Date: Wed, 7 Sep 2011 14:18:41 +0530

Hello Sandeep Singh and all,

   I differ from your inference of the section 3.3.2.7 (Page 36 RFC
3331). It would be in conflict to section 3.2 (Page 22 of RFC 3331)
which actually defines the structure of the Interface Identifier.
Section 3.3.2.7 gives an indication of the possible parameters in the
ASPAC message but does not define the structure of the parameters (Of
course there is an ambiguity in the RFC or rather error, wherein in
section 3.2 indicates M2UA specific headers are used only with MAUP
messages while they are used also with other messages like ASPSM
messages).

So from the structure of the Integer Interface Identifier we need to
follow section 3.2 which clearly states the length value cannot be
greater than 8.

Regards,

Rajangam 

From: [email-masked] [mailto:[email-masked]] On
Behalf Of Sandeep Singh
Sent: Friday, September 02, 2011 5:55 PM
To: [email-masked]; Rajesh Makhija; [email-masked];
[email-masked]; [email-masked]
Subject: Re: [Sigtran] Interface Identifier in ASPTM message in M2UA

Hi everybody,   

It is very clear from Page 36 of RFC 3331 that the length of Interface
Identifier Set having Tag (0x1) can have Length more than 8. 

According to the following figure, the length should be (n*4 + 4) if
there are n Interface Identifiers:

Best Regards,

Sandeep Singh 

Please do not print this email unless it is absolutely necessary. 

The information contained in this electronic message and any attachments to this message are intended for the exclusive use of the addressee(s) and may contain proprietary, confidential or privileged information. If you are not the intended recipient, you should not disseminate, distribute or copy this e-mail. Please notify the sender immediately and destroy all copies of this message and any attachments. 

WARNING: Computer viruses can be transmitted via email. The recipient should check this email and any attachments for the presence of viruses. The company accepts no liability for any damage caused by any virus transmitted by this email. 

www.wipro.com

---

From: <[email-masked]>
Date: Wed, 7 Sep 2011 14:18:41 +0530

Regards,

Rajangam 

Hi everybody,   

Best Regards,

Sandeep Singh

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 7 Sep 2011 03:16:37 -0600

rajangam.subramanian,

Well, no.

3.2 applies to MAUP messages only.  MAUP messages are specific to an
interface.  MAUP messages control the MTP2 signalling link and therefore
must identify a specific signalling link.  Therefore, the Integer IID
can only identify a single signalling link for MAUP messages and the
length needs to be 8.  Note also that, although text IIDs are also
supported, IID ranges are not.

ASPTM messages, OTOH, specify a group of IIDs that belong to an AS.  An
AS can consist of more than one signalling link.  (See 1.5.1: "An AS MAY
support more than one Interface Identifier.")  Therefore, the ASPAC and
ASPAC Ack messages can have multiple Integer IIDs.  As shown in 3.3.2.7,
the IID can have a length 4+n*4, where n is the number of integer
interface identifiers in the parameter, or, as also shown, can have
repeated parameters, each with one or more integer IIDs.  The message
can also have multiple Integer range IIDs or multiple text IIDs.

There is no error.  There is no contradiction.  This is completely in
fitting with the intended use of the protocol.

--brian

[email-masked] wrote:                 (Wed, 07 Sep 2011 14:18:41)

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 7 Sep 2011 03:16:37 -0600

rajangam.subramanian,

Well, no.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/